Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.rgpext
Class EPPRgpExtUpData

    java.lang.Object
      com.verisign.epp.codec.rgpext.EPPRgpExtUpData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRgpExtUpData

extends java.lang.Object
implements EPPCodecComponent

The EPPRgpExtUpData is the EPPCodecComponent that knows how to encode and decode RGP upData elements from/to XML and object instance.

Title: EPP 1.0 RGP

Description: RGP Extension to the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  clloyd
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` The XML element upData

Constructor Summary
`EPPRgpExtUpData()` Create a new instance of the EPPRgpExtUpData
`EPPRgpExtUpData(EPPRgpExtStatus aStatus)` Creates a new instance of the `EPPRgpExtUpData` with the status element.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRgpExtUpData`.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this RGP inf data to the given DOM Document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRgpExtStatus` compare.
`java.lang.String` | `getNamespace()` Returns the RGP namespace
`EPPRgpExtStatus` | `getStatus()` returns the EPPRgpExtStatus instance contained in this EPPRgpExtUpData instance
`void` | `setStatus(EPPRgpExtStatus status)` Sets the EPPRgpExtStatus instance contained in this EPPRgpExtUpData istance

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  The XML element upData

  See Also:
    Constant Field Values

Constructor Detail

### EPPRgpExtUpData

    public EPPRgpExtUpData()

  Create a new instance of the EPPRgpExtUpData

### EPPRgpExtUpData

    public EPPRgpExtUpData(EPPRgpExtStatus aStatus)

  Creates a new instance of the `EPPRgpExtUpData` with the status element.

  Parameters:
    `aStatus` - Associated status element.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Returns the RGP namespace

  Returns:
    the RGP namespace

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this RGP inf data to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRgpExtStatus` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRgpExtUpData` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRgpExtUpData`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRgpExtUpData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getStatus

    public EPPRgpExtStatus getStatus()

  returns the EPPRgpExtStatus instance contained in this EPPRgpExtUpData instance

  Returns:
    the EPPRgpExtStatus instance contained in this EPPRgpExtUpData instance

### setStatus

    public void setStatus(EPPRgpExtStatus status)

  Sets the EPPRgpExtStatus instance contained in this EPPRgpExtUpData istance

  Parameters:
    `status` - the new EPPRgpExtStatus instance contained in this EPPRgpExtUpData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.